<?php
////////////////////////////////////////////////////////////////////
class MySQLException extends Exception{
  //żadnych nowych danych
  public function __construct($message, $errorno){
    //sprawdza błędy programisty
    if($errorno >= 5000){
      $message = __CLASS__  ." typ. Niewłaściwe użycie klasy. ". $message;
    }else{
      $message = __CLASS__  . " - ". $message;
    }
    //wywołuje konstruktor klasy Exception
    parent::__construct($message, $errorno);
  }
  //przesłania metodę __tostring
  public function __toString(){
    return ("Błąd: $this->kod - $this->komunikat");
  }
}
?>
